Skip to main content
GET
/
v1
/
accounts
/
{accountId}
Get an account
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "accountId": "1000662322",
    "entityId": "a49f9b1d-75e0-44a9-b8d2-4293b3f11ebd",
    "type": "end_user_wallet",
    "description": "End User Wallet",
    "balances": [
      {
        "amount": "3.14",
        "currency": "USD"
      }
    ],
    "clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Identifier of the account.

Example:

"1000565227"

Response

Successfully retrieved an account.

data
object

An account exposed by the Accounts API. This payload is returned exactly as surfaced by the live /v1/accounts alias of the wallets API.